Subject: [homenet] homenet-babel-profile: references

From: "STARK, BARBARA H" <[email-masked]>
Date: Mon, 20 Nov 2017 11:24:21 +0000

Here is a set of comments related just to references in homenet-babel-profile.
Barbara

The first 4 references to the "Babel routing protocol" spec are to [RFC6126bis]. All subsequent mentions are to RFC 6126. RFC 6126 is not included as a reference in the References section. I find this disconcerting, and don't understand why requirements are against 6126 while introductory paragraphs proclaim 6126bis to be the protocol spec.

Since 6126bis is expected to obsolete 6126, I think it would be best to pick one of these two and consistently reference just the one. If we expect 6126bis to continue without issues through its WGLC and beyond (so it is roughly on the same timeline for completion), then 6126bis would probably be the better choice. The two docs could get assigned neighboring numbers. But if we want to prevent the 6126bis timeline from creating a publication dependency for homenet-babel-profile, then we could just stick with 6126. When 6126bis obsoletes 6126, any reference to 6126 will automatically be understood as then being to 6126bis. Since this draft is proposed as Experimental, I suspect either would be ok, but leave it to those more knowledgeable than I to say for sure.

If 6126bis, then I suggest changing the reference name from [RFC6126bis] to something like [BABEL-PROTOCOL]. Then replace all cases of "RFC 6126" with [BABEL-PROTOCOL]. And the one instance of "RFC 6126 Babel" would also become [BABEL-PROTOCOL].

If 6126, then change the reference to RFC 6126. It can be named either [BABEL-PROTOCOL] or [RFC6126]. Replace all instances of "RFC 6126bis", "[RFC6126bis]", "RFC 6126" as appropriate. If 6126, do you also need a mention of RFC 7557 somewhere?

If you choose to go with a friendly name for the 6126(bis) reference, consider also friendly-naming RFC 7788 to something like [HNCP] and RFC 7298 to [BABEL-HMAC]. 

Since babel-source-specific is normative and not yet published, it will hold up publication of this doc. In which case waiting for 6126bis may not  be an issue, since 6126bis appears to be timewise ahead of babel-source-specific.
draft-chouasne-babel-tos-specific-00 may also cause issues, even though it is just informational. You may want to consider removing the reference so it doesn't create issues.

---

From: Juliusz Chroboczek <[email-masked]>
Date: Mon, 20 Nov 2017 20:53:10 +0100

Thanks, Barbara.

> The first 4 references to the "Babel routing protocol" spec are to
> [RFC6126bis]. All subsequent mentions are to RFC 6126.

Changed to 6126bis throughout.  Since Homenet depends on source-specific,
and source-specific depends on mandatory bits, Homenet cannot be
implemented with just 6126.

> If 6126bis, then I suggest changing the reference name from [RFC6126bis]
> to something like [BABEL-PROTOCOL].

[...]

> If you choose to go with a friendly name for the 6126(bis) reference,
> consider also friendly-naming RFC 7788 to something like [HNCP] and RFC
> 7298 to [BABEL-HMAC].

I've previously been chastised for the opposite (using friendly names
instead of the RFC numbers), so I'm leaving it as it is right now.  If
you're sure of yourself, I'll be glad to change to friendly names.

> draft-chouasne-babel-tos-specific-00 may also cause issues, even though
> it is just informational. You may want to consider removing the
> reference so it doesn't create issues.

Ok.

-- Juliusz

---

From: Juliusz Chroboczek <[email-masked]>
Date: Mon, 20 Nov 2017 20:54:16 +0100

> Ok.

Does the same apply to [BABEL-Z]?

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Mon, 20 Nov 2017 20:06:04 +0000

> I've previously been chastised for the opposite (using friendly names instead
> of the RFC numbers), so I'm leaving it as it is right now.  If you're sure of
> yourself, I'll be glad to change to friendly names.

My bad. You're right. I found it in the Style Guide that it's supposed to be [RFCXXXX].
https://www.rfc-editor.org/rfc/pdfrfc/rfc7322.txt.pdf 
Barbara

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Mon, 20 Nov 2017 22:26:58 +0000

> >> draft-chouasne-babel-tos-specific-00 may also cause issues, even
> >> though it is just informational. You may want to consider removing
> >> the reference so it doesn't create issues.
> 
> > Ok.
> 

I see the Style Guide does allow you to reference work in progress in the format you've used. So I defer to the Style Guide and guess all the informative reference Work in Progress refs are ok. I guess I need to put the RFC Style Guide on my vacation reading list.
Barbara